## ros-kinetic-ecl-ipc 0.61.17

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(ecl_ipc)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED COMPONENTS 
    ecl_build
    ecl_config
    ecl_errors
    ecl_time_lite
    ecl_exceptions
    ecl_time
    )

ecl_detect_threads()

if(ECL_PLATFORM_HAS_POSIX_THREADS) 
    catkin_package(
        INCLUDE_DIRS include
        LIBRARIES ${PROJECT_NAME}
        CATKIN_DEPENDS 
            ecl_config
            ecl_errors
            ecl_time_lite
            ecl_exceptions
            ecl_time
        )
else()
    catkin_package(
        INCLUDE_DIRS include
        CATKIN_DEPENDS 
            ecl_config
            ecl_errors
            ecl_time_lite
            ecl_exceptions
            ecl_time
        )
endif()

include_directories(include ${catkin_INCLUDE_DIRS})

##############################################################################
# Actual project configuration
##############################################################################

add_subdirectory(include)
add_subdirectory(src)

=== src/CMakeLists.txt ===
###############################################################################
# SUBDIRECTORIES
###############################################################################

if(ECL_PLATFORM_HAS_POSIX_THREADS)
  add_subdirectory(lib)
endif()

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== include/ecl/ipc/CMakeLists.txt ===
###############################################################################
# FILES
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
  
install(FILES ${HEADERS} DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ecl/ipc)

=== debian/changelog ===
ros-kinetic-ecl-ipc (0.61.17-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 05 Feb 2017 14:25:32 -0000

ros-kinetic-ecl-ipc (0.61.12-0xenial) xenial; urgency=high

  * minor bugfix for includes on apple osx

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 02 May 2016 15:00:00 -0000

ros-kinetic-ecl-ipc (0.60.8-0xenial) xenial; urgency=high

  * ecl_ipc requires ecl_build for cmake modules.
  * make sure we detect threads in this module
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 09 Feb 2014 15:00:00 -0000

ros-kinetic-ecl-ipc (0.60.7-0xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 02 Feb 2014 15:00:00 -0000

ros-kinetic-ecl-ipc (0.60.6-0xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 28 Jan 2014 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-ecl-ipc
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-ecl-build, ros-kinetic-ecl-config, ros-kinetic-ecl-errors, ros-kinetic-ecl-exceptions, ros-kinetic-ecl-license, ros-kinetic-ecl-time, ros-kinetic-ecl-time-lite
Homepage: http://wiki.ros.org/ecl_ipc
Standards-Version: 3.9.2

Package: ros-kinetic-ecl-ipc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ecl-build, ros-kinetic-ecl-config, ros-kinetic-ecl-errors, ros-kinetic-ecl-exceptions, ros-kinetic-ecl-license, ros-kinetic-ecl-time, ros-kinetic-ecl-time-lite
Description: Interprocess mechanisms vary greatly across platforms - sysv, posix, win32, there are more than a few.
 This package provides an infrastructure to allow for developing cross platform c++ wrappers around the lower level c api's that handle these mechanisms. These make it not only easier to utilise such mechanisms, but allow it to be done consistently across platforms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ecl-ipc//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
